ID CVE-2020-15862
Summary Net-SNMP through 5.7.3 has Improper Privilege Management because SNMP WRITE access to the EXTEND MIB provides the ability to run arbitrary commands as root.
References
Vulnerable Configurations
  • cpe:2.3:a:net-snmp:net-snmp:5.0:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.0:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.0.1:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.0.1:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.0.2:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.0.2:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.0.3:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.0.3:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.0.4:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.0.4:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.0.5:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.0.5:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.0.6:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.0.6:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.0.7:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.0.7:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.0.8:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.0.8:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.0.9:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.0.9:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.1:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.1:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.1.2:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.1.2:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.2:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.2:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.3:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.3:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.3.0.1:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.3.0.1:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.4:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.4:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.5:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.5:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.6:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.6:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.7:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.7:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.7.1:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.7.1:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.7.2:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.7.2:*:*:*:*:*:*:*
  • cpe:2.3:a:net-snmp:net-snmp:5.7.3:*:*:*:*:*:*:*
    cpe:2.3:a:net-snmp:net-snmp:5.7.3:*:*:*:*:*:*:*
  • cpe:2.3:o:canonical:ubuntu_linux:12.04:*:*:*:esm:*:*:*
    cpe:2.3:o:canonical:ubuntu_linux:12.04:*:*:*:esm:*:*:*
  • cpe:2.3:o:canonical:ubuntu_linux:14.04:*:*:*:esm:*:*:*
    cpe:2.3:o:canonical:ubuntu_linux:14.04:*:*:*:esm:*:*:*
  • cpe:2.3:o:canonical:ubuntu_linux:16.04:*:*:*:lts:*:*:*
    cpe:2.3:o:canonical:ubuntu_linux:16.04:*:*:*:lts:*:*:*
  • cpe:2.3:o:canonical:ubuntu_linux:18.04:*:*:*:lts:*:*:*
    cpe:2.3:o:canonical:ubuntu_linux:18.04:*:*:*:lts:*:*:*
  • cpe:2.3:o:canonical:ubuntu_linux:20.04:*:*:*:lts:*:*:*
    cpe:2.3:o:canonical:ubuntu_linux:20.04:*:*:*:lts:*:*:*
CVSS
Base: 7.2 (as of 04-09-2020 - 14:58)
Impact:
Exploitability:
CWE CWE-269
CAPEC
  • Privilege Escalation
    An adversary exploits a weakness enabling them to elevate their privilege and perform an action that they are not supposed to be authorized to perform.
  • Privilege Abuse
    An adversary is able to exploit features of the target that should be reserved for privileged users or administrators but are exposed to use by lower or non-privileged accounts. Access to sensitive information and functionality must be controlled to ensure that only authorized users are able to access these resources. If access control mechanisms are absent or misconfigured, a user may be able to access resources that are intended only for higher level users. An adversary may be able to exploit this to utilize a less trusted account to gain information and perform activities reserved for more trusted accounts. This attack differs from privilege escalation and other privilege stealing attacks in that the adversary never actually escalates their privileges but instead is able to use a lesser degree of privilege to access resources that should be (but are not) reserved for higher privilege accounts. Likewise, the adversary does not exploit trust or subvert systems - all control functionality is working as configured but the configuration does not adequately protect sensitive resources at an appropriate level.
  • Restful Privilege Elevation
    Rest uses standard HTTP (Get, Put, Delete) style permissions methods, but these are not necessarily correlated generally with back end programs. Strict interpretation of HTTP get methods means that these HTTP Get services should not be used to delete information on the server, but there is no access control mechanism to back up this logic. This means that unless the services are properly ACL'd and the application's service implementation are following these guidelines then an HTTP request can easily execute a delete or update on the server side. The attacker identifies a HTTP Get URL such as http://victimsite/updateOrder, which calls out to a program to update orders on a database or other resource. The URL is not idempotent so the request can be submitted multiple times by the attacker, additionally, the attacker may be able to exploit the URL published as a Get method that actually performs updates (instead of merely retrieving data). This may result in malicious or inadvertent altering of data on the server.
Access
VectorComplexityAuthentication
LOCAL LOW NONE
Impact
ConfidentialityIntegrityAvailability
COMPLETE COMPLETE COMPLETE
cvss-vector via4 AV:L/AC:L/Au:N/C:C/I:C/A:C
redhat via4
advisories
  • bugzilla
    id 1873038
    title CVE-2020-15862 net-snmp: Improper Privilege Management in EXTEND MIB may lead to privileged commands execution
    oval
    OR
    • comment Red Hat Enterprise Linux must be installed
      oval oval:com.redhat.rhba:tst:20070304026
    • AND
      • comment Red Hat Enterprise Linux 6 is installed
        oval oval:com.redhat.rhba:tst:20111656003
      • OR
        • AND
          • comment net-snmp is earlier than 1:5.5-60.el6_10.2
            oval oval:com.redhat.rhsa:tst:20205129001
          • comment net-snmp is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20131150002
        • AND
          • comment net-snmp-devel is earlier than 1:5.5-60.el6_10.2
            oval oval:com.redhat.rhsa:tst:20205129003
          • comment net-snmp-devel is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20131150004
        • AND
          • comment net-snmp-libs is earlier than 1:5.5-60.el6_10.2
            oval oval:com.redhat.rhsa:tst:20205129005
          • comment net-snmp-libs is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20131150006
        • AND
          • comment net-snmp-perl is earlier than 1:5.5-60.el6_10.2
            oval oval:com.redhat.rhsa:tst:20205129007
          • comment net-snmp-perl is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20131150008
        • AND
          • comment net-snmp-python is earlier than 1:5.5-60.el6_10.2
            oval oval:com.redhat.rhsa:tst:20205129009
          • comment net-snmp-python is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20131150010
        • AND
          • comment net-snmp-utils is earlier than 1:5.5-60.el6_10.2
            oval oval:com.redhat.rhsa:tst:20205129011
          • comment net-snmp-utils is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20131150012
    rhsa
    id RHSA-2020:5129
    released 2020-11-17
    severity Important
    title RHSA-2020:5129: net-snmp security update (Important)
  • bugzilla
    id 1873038
    title CVE-2020-15862 net-snmp: Improper Privilege Management in EXTEND MIB may lead to privileged commands execution
    oval
    OR
    • comment Red Hat Enterprise Linux must be installed
      oval oval:com.redhat.rhba:tst:20070304026
    • AND
      • comment Red Hat Enterprise Linux 7 is installed
        oval oval:com.redhat.rhba:tst:20150364027
      • OR
        • AND
          • comment net-snmp is earlier than 1:5.7.2-49.el7_9.1
            oval oval:com.redhat.rhsa:tst:20205350001
          • comment net-snmp is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20131150002
        • AND
          • comment net-snmp-agent-libs is earlier than 1:5.7.2-49.el7_9.1
            oval oval:com.redhat.rhsa:tst:20205350003
          • comment net-snmp-agent-libs is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20201376004
        • AND
          • comment net-snmp-devel is earlier than 1:5.7.2-49.el7_9.1
            oval oval:com.redhat.rhsa:tst:20205350005
          • comment net-snmp-devel is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20131150004
        • AND
          • comment net-snmp-gui is earlier than 1:5.7.2-49.el7_9.1
            oval oval:com.redhat.rhsa:tst:20205350007
          • comment net-snmp-gui is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20151636019
        • AND
          • comment net-snmp-libs is earlier than 1:5.7.2-49.el7_9.1
            oval oval:com.redhat.rhsa:tst:20205350009
          • comment net-snmp-libs is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20131150006
        • AND
          • comment net-snmp-perl is earlier than 1:5.7.2-49.el7_9.1
            oval oval:com.redhat.rhsa:tst:20205350011
          • comment net-snmp-perl is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20131150008
        • AND
          • comment net-snmp-python is earlier than 1:5.7.2-49.el7_9.1
            oval oval:com.redhat.rhsa:tst:20205350013
          • comment net-snmp-python is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20131150010
        • AND
          • comment net-snmp-sysvinit is earlier than 1:5.7.2-49.el7_9.1
            oval oval:com.redhat.rhsa:tst:20205350015
          • comment net-snmp-sysvinit is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20151636024
        • AND
          • comment net-snmp-utils is earlier than 1:5.7.2-49.el7_9.1
            oval oval:com.redhat.rhsa:tst:20205350017
          • comment net-snmp-utils is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20131150012
    rhsa
    id RHSA-2020:5350
    released 2020-12-07
    severity Important
    title RHSA-2020:5350: net-snmp security update (Important)
  • bugzilla
    id 1896760
    title In RHEL 8, snmpd using v3 is unable to send out default 60 maxGetbulkResponses when invalid PID specified. [rhel-8.3.0.z]
    oval
    OR
    • comment Red Hat Enterprise Linux must be installed
      oval oval:com.redhat.rhba:tst:20070304026
    • AND
      • comment Red Hat Enterprise Linux 8 is installed
        oval oval:com.redhat.rhba:tst:20193384074
      • OR
        • AND
          • comment net-snmp is earlier than 1:5.8-18.el8_3.1
            oval oval:com.redhat.rhsa:tst:20205480001
          • comment net-snmp is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20131150002
        • AND
          • comment net-snmp-agent-libs is earlier than 1:5.8-18.el8_3.1
            oval oval:com.redhat.rhsa:tst:20205480003
          • comment net-snmp-agent-libs is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20201376004
        • AND
          • comment net-snmp-debugsource is earlier than 1:5.8-18.el8_3.1
            oval oval:com.redhat.rhsa:tst:20205480005
          • comment net-snmp-debugsource is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20201376006
        • AND
          • comment net-snmp-devel is earlier than 1:5.8-18.el8_3.1
            oval oval:com.redhat.rhsa:tst:20205480007
          • comment net-snmp-devel is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20131150004
        • AND
          • comment net-snmp-libs is earlier than 1:5.8-18.el8_3.1
            oval oval:com.redhat.rhsa:tst:20205480009
          • comment net-snmp-libs is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20131150006
        • AND
          • comment net-snmp-perl is earlier than 1:5.8-18.el8_3.1
            oval oval:com.redhat.rhsa:tst:20205480011
          • comment net-snmp-perl is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20131150008
        • AND
          • comment net-snmp-utils is earlier than 1:5.8-18.el8_3.1
            oval oval:com.redhat.rhsa:tst:20205480013
          • comment net-snmp-utils is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhba:tst:20131150012
    rhsa
    id RHSA-2020:5480
    released 2020-12-15
    severity Important
    title RHSA-2020:5480: net-snmp security and bug fix update (Important)
rpms
  • net-snmp-1:5.5-60.el6_10.2
  • net-snmp-debuginfo-1:5.5-60.el6_10.2
  • net-snmp-devel-1:5.5-60.el6_10.2
  • net-snmp-libs-1:5.5-60.el6_10.2
  • net-snmp-perl-1:5.5-60.el6_10.2
  • net-snmp-python-1:5.5-60.el6_10.2
  • net-snmp-utils-1:5.5-60.el6_10.2
  • net-snmp-1:5.8-7.el8_0.4
  • net-snmp-agent-libs-1:5.8-7.el8_0.4
  • net-snmp-agent-libs-debuginfo-1:5.8-7.el8_0.4
  • net-snmp-debuginfo-1:5.8-7.el8_0.4
  • net-snmp-debugsource-1:5.8-7.el8_0.4
  • net-snmp-devel-1:5.8-7.el8_0.4
  • net-snmp-libs-1:5.8-7.el8_0.4
  • net-snmp-perl-debuginfo-1:5.8-7.el8_0.4
  • net-snmp-utils-1:5.8-7.el8_0.4
  • net-snmp-utils-debuginfo-1:5.8-7.el8_0.4
  • net-snmp-1:5.7.2-49.el7_9.1
  • net-snmp-agent-libs-1:5.7.2-49.el7_9.1
  • net-snmp-debuginfo-1:5.7.2-49.el7_9.1
  • net-snmp-devel-1:5.7.2-49.el7_9.1
  • net-snmp-gui-1:5.7.2-49.el7_9.1
  • net-snmp-libs-1:5.7.2-49.el7_9.1
  • net-snmp-perl-1:5.7.2-49.el7_9.1
  • net-snmp-python-1:5.7.2-49.el7_9.1
  • net-snmp-sysvinit-1:5.7.2-49.el7_9.1
  • net-snmp-utils-1:5.7.2-49.el7_9.1
  • net-snmp-1:5.8-12.el8_1.3
  • net-snmp-agent-libs-1:5.8-12.el8_1.3
  • net-snmp-agent-libs-debuginfo-1:5.8-12.el8_1.3
  • net-snmp-debuginfo-1:5.8-12.el8_1.3
  • net-snmp-debugsource-1:5.8-12.el8_1.3
  • net-snmp-devel-1:5.8-12.el8_1.3
  • net-snmp-libs-1:5.8-12.el8_1.3
  • net-snmp-libs-debuginfo-1:5.8-12.el8_1.3
  • net-snmp-perl-debuginfo-1:5.8-12.el8_1.3
  • net-snmp-utils-1:5.8-12.el8_1.3
  • net-snmp-utils-debuginfo-1:5.8-12.el8_1.3
  • net-snmp-1:5.8-14.el8_2.3
  • net-snmp-agent-libs-1:5.8-14.el8_2.3
  • net-snmp-agent-libs-debuginfo-1:5.8-14.el8_2.3
  • net-snmp-debuginfo-1:5.8-14.el8_2.3
  • net-snmp-debugsource-1:5.8-14.el8_2.3
  • net-snmp-devel-1:5.8-14.el8_2.3
  • net-snmp-libs-1:5.8-14.el8_2.3
  • net-snmp-libs-debuginfo-1:5.8-14.el8_2.3
  • net-snmp-perl-debuginfo-1:5.8-14.el8_2.3
  • net-snmp-utils-1:5.8-14.el8_2.3
  • net-snmp-utils-debuginfo-1:5.8-14.el8_2.3
  • net-snmp-1:5.8-18.el8_3.1
  • net-snmp-agent-libs-1:5.8-18.el8_3.1
  • net-snmp-agent-libs-debuginfo-1:5.8-18.el8_3.1
  • net-snmp-debuginfo-1:5.8-18.el8_3.1
  • net-snmp-debugsource-1:5.8-18.el8_3.1
  • net-snmp-devel-1:5.8-18.el8_3.1
  • net-snmp-libs-1:5.8-18.el8_3.1
  • net-snmp-libs-debuginfo-1:5.8-18.el8_3.1
  • net-snmp-perl-1:5.8-18.el8_3.1
  • net-snmp-perl-debuginfo-1:5.8-18.el8_3.1
  • net-snmp-utils-1:5.8-18.el8_3.1
  • net-snmp-utils-debuginfo-1:5.8-18.el8_3.1
refmap via4
confirm
gentoo GLSA-202008-12
misc
ubuntu USN-4471-1
Last major update 04-09-2020 - 14:58
Published 20-08-2020 - 01:17
Last modified 04-09-2020 - 14:58
Back to Top